%define major 0
%define minor 23
%define fix 0

Name: isl
Version: %{major}.%{minor}
#Version: %{major}.%{minor}.%{fix}
Release: 1
License: MIT
Url: http://isl.gforge.inria.fr/
Summary: Integer Set Library

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

BuildRequires: gmp-devel

Source0: http://isl.gforge.inria.fr/isl-%{version}.tar.xz

%description
ISL is a library for manipulating sets and relations of integer points
bounded by linear constraints.
It is used by Cloog and the GCC Graphite optimization framework.

%package devel
Summary: Development tools for ISL
Requires: libisl%{minor} = %{version}-%{release}

%description devel
Development tools and headers for the ISL.

%package -n libisl%{minor}
Summary: The ISL shared library

%description -n libisl%{minor}
The shared library for the ISL.

%prep
%setup -q

%build
autoreconf -fi
%configure \
    LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
    --with-aix-soname=svr4 \
    --disable-static

%make_build

%check
make check

%install
%make_install

%files -n libisl%{minor}
%defattr(-, qsys, *none)
%{_libdir}/libisl.so.%{minor}*

%files devel
%defattr(-, qsys, *none)
%{_includedir}/isl
%{_libdir}/pkgconfig/isl.pc
%{_libdir}/libisl.so.*-gdb.py
%{_libdir}/libisl.so

%changelog
* Wed Nov 18 2020 Xu Meng <mengxumx@cn.ibm.com>
- initial package 0.23 with devel subpackage
